View Issue Details

IDProjectCategoryView StatusLast Update
0005887mantisbtfeaturepublic2014-11-07 15:43
ReporterjschraderAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status newResolutionopen 
Product Version1.0.0a3 
Target VersionFixed in Version 
Summary0005887: How about a daily report send by email to managers and developers?
Description

I think such a daily report would be nice to keep managers and developers on track with their projects. There may be some projects untouched for a long time, with daily reports they come into mind again!
I experienced some developers don't look after their bugs. With such reports I hope they get reminded!

TagsNo tags attached.

Relationships

related to 0004221 closedgrangeway Automatic Email Reminder of unresolved issues. 
has duplicate 0005794 closeddhx Daily report via email 
related to 0006646 acknowledged Weekly nag email script 
related to 0006528 closedgrangeway Whinning feature, similar to bugzilla 
related to 0006465 closedgrangeway Feature request for daily mail report 
related to 0005499 closedgrangeway Can Mantis send "Nag" Reminders to Developer/Manager when bug is old 

Activities

deboutv

deboutv

2005-08-23 09:25

reporter   ~0011265

Last edited: 2005-08-23 09:28

A package can be downloaded here. In this package, only French and English are supported. To use it:

  • Rename the 'reminder_config_inc.php.sample' to 'reminder_config_inc.php' and update it to your settings.

  • Add the following line at the end of the config_inc.php file:

require_once( dirname( FILE ) . DIRECTORY_SEPARATOR . 'reminder_config_inc.php' );

  • Add the following line at the end of the custom_strings_inc.php file (create it if it does not exist):

require_once( dirname( FILE ) . DIRECTORY_SEPARATOR . 'reminder_custom_strings_inc.php' );

To send reminders to developpers, simply execute the following command:

php /mantis/installation/directory/reminder.php

An email is send to the handler of the bug if the bug is assigned (and not resolved).
An email is send to the manager of the project if one bug is not assigned.

You can create a scheduled task to do it each day.

deboutv

deboutv

2005-08-23 09:39

reporter   ~0011267

Example of email send (Project and Summary are changed to the corresponding Project and Summary):

The following issue(s) has(ve) been assigned to you and is(are) not resolved.

Assign date: 02-21-05 14:05 (168 days)
More info: http://www.example.com/mantis/view.php?id=0000040

Assign date: 03-09-05 14:11 (152 days)
More info: https://www.example.com/mantis/view.php?id=0000055

deboutv

deboutv

2005-08-23 09:49

reporter   ~0011271

Please, remove my email address in the reminder.php file (line 317 and line 362) !!

jschrader

jschrader

2005-08-23 11:05

reporter   ~0011272

I thank you very much for your work! The reminder works fine but there is one little problem.
reminder.php takes its servername from config_defaults_inc.php rather than config_inc.php. So I had some Mails with www.example.com. :-)

deboutv

deboutv

2005-08-23 11:23

reporter   ~0011273

Last edited: 2005-08-23 11:25

Happy that it can help you :-)

The bug come from mantis and not from the reminder.php file. In fact, all # followed by a number are converted by mantis into an html link.
The reminder.php use this functionality. For the previous example, the reminder.php file constructs the email by writting the following string :
"More info: # 40" and the string is converted by mantis.

If you have some mails with www.example.com, you probably have some links with www.example.com in the mantis pages.

The best solution is to overwrite the $g_path variable.

drtns

drtns

2006-02-06 14:32

reporter   ~0012103

Has this been tested against 1.0? will it work as is?

deboutv

deboutv

2006-02-07 02:50

reporter   ~0012104

Yes, it has been tested with the mantis 1.0.0 and it works.

2006-04-13 04:17

 

reminder_new.tar.gz (4,117 bytes)
deboutv

deboutv

2006-04-13 04:19

reporter   ~0012495

Please, use the reminder_new.tar.gz file instead of reminder.tar.gz.

Admin, could you remove the reminder.tar.gz file please. Thanks.

brownslink

brownslink

2006-08-08 23:45

reporter   ~0013232

I tried this on a very fresh Mantis installation running on Kubuntu and got the following error.

Fatal error: Call to undefined function mysql_connect() in /var/www/mantis/core/adodb/drivers/adodb-mysql.inc.php on line 338

vboctor

vboctor

2006-08-09 02:01

manager   ~0013233

deboutv, thanks for your contribution. I've removed the old attachment.

deboutv

deboutv

2006-08-09 03:31

reporter   ~0013238

brownslink, is your mantis installation works fine without the reminder package ?
Try to browse (in your favorite browser) the page reminder.php.

vboctor, the WiKi can help in this case, no ? Is it possible to create the page (I didn't have the create button) ?

vboctor

vboctor

2006-08-09 04:05

manager   ~0013241

deboutv, I've created the associated wiki page, I'm not sure if you will have access rights to edit it. Try it and let me know.

Libra

Libra

2006-09-09 17:47

reporter   ~0013351

Please, attach the file reminder_new.tar.gz again!

2006-09-11 03:13

 

reminder_new2.tar.gz (4,117 bytes)
deboutv

deboutv

2006-09-11 03:14

reporter   ~0013354

Last edited: 2006-09-11 03:15

Now it's reminder_new2.tar.gz file (no difference with the old file).

Admin, could you remove the reminder_new.tar.gz file please. Thanks.

vboctor

vboctor

2006-09-11 03:18

manager   ~0013355

Thanks deboutv for re-attaching the file. I'll keep these zombie attachments for a while, just in case I manage to get the files.

deboutv

deboutv

2006-09-14 10:45

reporter   ~0013384

The wiki page has been lost during the domain migration?

jpvaisse

jpvaisse

2007-02-09 04:28

reporter   ~0014018

Hello deboutv,

I've downloaded your package and set it up on MANTIS 1.0.6 on OS Windows 2000 SP4
I followed the instructions that you 've given in the firs note.
I 've tried to do un test by executing the folling command:

C:\Program Files\EasyPHP1-8\www\mantis>reminder.php

the only thing it does is to open the file with wordpad; this is normal.
How can I do to get an e-mail by test ?
Another question:
In this part of code in the file reminder_config_inc.php :

    # First reminder
    $g_first_remind = 1;

    # Second remind
    $g_second_remind = 2;

# Assign reminder
$g_first_assign_remind = 1;
$g_second_assign_remind = 2;    

What does these variables reprensent ? a number of day ?
How does your module knows that it must send an e-mail ?

I understand the work done by the module ( look at the database, edit the body e-mail), but I don't understand where is the "starting-point".

If you have answers, even short, I think it can help me.

Thanks

Jean-Philippe

deboutv

deboutv

2007-02-09 04:50

reporter   ~0014019

Last edited: 2007-02-09 04:55

Hello Jean-Philippe,

First, a new release of this plugin will arrive soon (probably Monday or Tuesday). See http://deboutv.free.fr/mantis/ (you'll find other plugins).

To send emails you need to execute:

  • under unix: /usr/bin/php reminder.php
  • under windows: C:\Program Files\php\php.exe reminder.php (or something like that).

In the new release it will be possible to send email by browsing a webpage (take a look at Weekly plugin, the Reminder plugin will be the same).

Yes, the variables *_remind represents days.
The plugin sends an email if there is at least one bug not resolved/assigned.

Here is an example ($gfirst_remind = 2, $gsecond_remind = 4):

Feb 1 => posting a new bug
Feb 2 => no email send
Feb 3 => email send to notify the unassigned status
Feb 4 => no email send
Feb 5 => email send to notify the unassigned status
Feb 6 => email send to notify the unassigned...
...
Feb 10 => status changed to assigned
Feb 11 => no email
Feb 12 => assignee receives an email to notify the unresolved status
Feb 13 => no email
Feb 14 => assignee receives...
Feb 15 => assignee receives...
...
Feb 20 => status changed to resolved
Feb 21 => no email
...

PS: If you need the new release now (today), I probably can send you the package.

jpvaisse

jpvaisse

2007-02-09 09:09

reporter   ~0014022

Thanks for you help ! it helped me !

Then I had others problems:

1- when i launched php.exe : "Unable to load dynamic library _c:\php\php_gd2.dll le module spécifié est introuvable"
the file php_gd2.dll was not present. I found it on the web and put it in
C:\Program Files\EasyPHP1-8\php.
then I went in php.ini and deleted the ";" before extension=php_gd2.dll.

then I edited a file test.bat that I put in the directory C:\Program Files\EasyPHP1-8\www\mantis (where is located my file reminder.php)
In file test.bat I put "C:\Program Files\EasyPHP1-8\php\php.exe" reminder.php

C:\Program Files\EasyPHP1-8\php\php.exe needed to be between "". If not, it didn't find the path.

now it works perfecly.


Another question:

Is it possible to send a remind by mail before a certain status is set ?

Example :
Feb 1 => posting a new bug
Feb 2 => no email send
Feb 3 => status changed to assigned
custom field 'date of delivery' filled in with 10/02
Feb 4 => no email send
Feb 5 => email send to notify the developer that he has 5 days to solve the bug
Feb 6 => email send to notify the developer that he has 4 days to solve the bug
...
Feb 10 => status changed to resolved
Feb 11 => no email
...

Do you know what I mean ? I'm french sometimes I'm not too sure of my english....

PS.: i visited your website, you seem to be french...
I carry on to put notes in english for the rest of the world....

deboutv

deboutv

2007-02-09 09:30

reporter   ~0014023

Is it possible to send a remind by mail before a certain status is set ?

No, not with this plugin. I'll add this feature in the next release (http://bugtracker.morinie.fr/mantis/view.php?id=19 ;)).

PS: Yes, I am.

deboutv

deboutv

2007-02-14 15:30

reporter   ~0014043

A new release of the plugin can be downloaded here:
http://deboutv.free.fr/mantis/ (Plugin Reminder)

jpvaisse

jpvaisse

2007-02-15 03:40

reporter   ~0014048

OK, I 've begun to set up plugin manager.

if foloowed tthe instructions of your web site:
1.extract to root directory

  1. add line to config_inc.php
  2. add line to custom_strings_in.php

then i couldn't login.(the url bacame something like http://...../MANTIS/login_page.php? ....%2Fmantis%2F ....
and the page was blank.

i've commented out the line in custom_strings_inc.php and it works...

Is this normal ?

anyway...it works...

deboutv

deboutv

2007-02-15 04:35

reporter   ~0014049

jpvaisse,

Can you report it into http://bugtracker.morinine.fr/mantis/

Thank you.

prabhurangan

prabhurangan

2009-02-23 06:35

reporter   ~0020920

Hi All,

Im confused with 0005887:0014022. I have the same issue. Have to send the daily status report to Managers.

Steps I have followed:

  1. Installed plugin manager.
  2. Installed reminder plugin using plugin manager.
  3. configured some settings to my need.
  4. Followed the steps given in this task 0005887:0011265,

However how to exec the command mentioned in that; Instead I need to set up scheduler as im using Windows. I have to collect the details needed for status report at the end of the day or status report should be send to Manager everyday morning for the previous day.
These jobs has to be done automatically.

Regards,
Prabhu.

prabhurangan

prabhurangan

2009-04-17 06:11

reporter   ~0021585

@All

How to set this as a cron job in LINUX using virtual Webmin;

I tried to set like "http://mantis.homepage.com/plugin.php?page=Reminder/bug_reminder_mail.php" this, as we can set up the 'date and time' using the gui part provided in the Webmin.

but i am facing an error 'No files or directory found'.

Can anyone let me know how to set a cron job manually from Terminal(command line) in linux. As i am working in windows i do not know how to create a cron manually from Terminal.

prabhurangan

prabhurangan

2009-04-17 06:17

reporter   ~0021586

@All

This is the error i am facing:

/bin/sh: 0: command not found

prabhurangan

prabhurangan

2009-04-17 06:32

reporter   ~0021587

@All

If I set 'http://hostname/mantis/plugin.php?page=Reminder/bug_reminder_mail.php' it is throwing an error message as
'No such file or Directory' found

If I mention the exact file path say '/home/xxx/public_html/mantis/plugins/reminder/pages/bug_reminder_mail.php' It is saying an error as 'Access Denied'

prabhurangan

prabhurangan

2009-04-21 05:40

reporter   ~0021610

However I have provided all the access to 'mantis' directory, the reminder job could not be set as 'Cron job'

Please let me know your thoughts

prabhurangan

prabhurangan

2009-04-21 06:57

reporter   ~0021611

Finally i found out the issue; however i am facing another issue. Before in the syntax given in the 'Read.html' of docs, for setting up cron "/1440 * lynx --dump http://mantis/reminder...."
In this 'lynx' is an RPM, for text based browser, so it has to be installed right away... So i installed it.

But now if i have logged out of application and try to run the cron job, it executes, but the login page is displayed in the front end, instead it is not notifying the users about their, 'Deadline'

How to pass the username and password as an argument to the cronjob.... syntax....

Its an urgent but no one responds........

please respond to it

tmatijas

tmatijas

2009-10-11 22:16

reporter   ~0023130

any way to get this wo work in version 1.1.8? There is no plugin manager and I am having a hard time porting it.

tmatijas

tmatijas

2009-10-12 20:34

reporter   ~0023155

Ok - got it to work. For windows server users that DONT support sendmail, but can use php mail... (i.e. mail() )... the following:

  • original -
    $t_email_send = email_send

  • modified -
    $t_email_send = mail

This will need to be done twice reminder.php

Issue History

Date Modified Username Field Change
2005-07-07 04:34 jschrader New Issue
2005-08-23 09:25 deboutv Note Added: 0011265
2005-08-23 09:26 deboutv File Added: reminder.tar.gz
2005-08-23 09:27 deboutv Note Edited: 0011265
2005-08-23 09:28 deboutv Note Edited: 0011265
2005-08-23 09:39 deboutv Note Added: 0011267
2005-08-23 09:47 drtns Note Added: 0011270
2005-08-23 09:49 deboutv Note Added: 0011271
2005-08-23 11:05 jschrader Note Added: 0011272
2005-08-23 11:23 deboutv Note Added: 0011273
2005-08-23 11:25 deboutv Note Edited: 0011273
2006-02-06 14:32 drtns Note Added: 0012103
2006-02-07 02:50 deboutv Note Added: 0012104
2006-03-09 12:55 ryandesign Relationship added related to 0006646
2006-03-09 12:55 ryandesign Relationship added related to 0006528
2006-03-09 12:55 ryandesign Relationship added related to 0006465
2006-03-09 12:59 ryandesign Relationship added related to 0005499
2006-03-09 13:05 ryandesign Relationship added related to 0004221
2006-04-13 04:17 deboutv File Added: reminder_new.tar.gz
2006-04-13 04:19 deboutv Note Added: 0012495
2006-08-08 23:45 brownslink Note Added: 0013232
2006-08-09 01:59 vboctor File Deleted: reminder.tar.gz
2006-08-09 02:01 vboctor Note Added: 0013233
2006-08-09 03:31 deboutv Note Added: 0013238
2006-08-09 04:05 vboctor Note Added: 0013241
2006-09-09 17:47 Libra Note Added: 0013351
2006-09-11 03:13 deboutv File Added: reminder_new2.tar.gz
2006-09-11 03:14 deboutv Note Added: 0013354
2006-09-11 03:15 deboutv Note Edited: 0013354
2006-09-11 03:18 vboctor Note Added: 0013355
2006-09-14 10:45 deboutv Note Added: 0013384
2007-02-09 04:28 jpvaisse Note Added: 0014018
2007-02-09 04:50 deboutv Note Added: 0014019
2007-02-09 04:55 deboutv Note Edited: 0014019
2007-02-09 09:09 jpvaisse Note Added: 0014022
2007-02-09 09:30 deboutv Note Added: 0014023
2007-02-14 15:30 deboutv Note Added: 0014043
2007-02-15 03:40 jpvaisse Note Added: 0014048
2007-02-15 04:35 deboutv Note Added: 0014049
2008-07-15 16:56 grangeway Status new => assigned
2008-07-15 16:56 grangeway Assigned To => grangeway
2009-02-23 06:35 prabhurangan Note Added: 0020920
2009-04-17 06:11 prabhurangan Note Added: 0021585
2009-04-17 06:17 prabhurangan Note Added: 0021586
2009-04-17 06:32 prabhurangan Note Added: 0021587
2009-04-21 05:40 prabhurangan Note Added: 0021610
2009-04-21 06:57 prabhurangan Note Added: 0021611
2009-10-11 22:16 tmatijas Note Added: 0023130
2009-10-12 20:34 tmatijas Note Added: 0023155
2010-01-17 00:19 dhx Relationship added has duplicate 0005794
2014-11-07 15:43 atrol Assigned To grangeway =>
2014-11-07 15:43 atrol Status assigned => new